<?php
// ############################################################
// # StatIt                                                   #
// ############################################################
// # by Helge Orthmann                                        #
// # Contact: otter@otterware.de                              #
// # Homepage: http://www.otterware.de                        #
// ############################################################
// # Leave this header in this file !                         #
// ############################################################
$version = "4";
$intern_version = "070212";
$available_languages = array("dutch"=>"1","catalan"=>"1","english"=>"1","french"=>"1","german"=>"1","italian"=>"1","spanish"=>"1");
$graph_color[0] = "#faf707";
$graph_color[1] = "#4007fa";
$graph_color[2] = "#0dfa07";
$graph_color[3] = "#faa707";
$graph_color[4] = "#07dbfa";
$graph_color[5] = "#a107fa";
$graph_color[6] = "#704b17";
$system_extra = array("os/2","netbsd");
$system_icon_extra = array("os/2"=>"os2","netbsd"=>"freebsd");
/* Scriptcheck */
function check_inc()
{
	$scriptcheck = explode("/",$_SERVER['PHP_SELF']);
	if($scriptcheck[count($scriptcheck)-1]=="index.php" || $scriptcheck[count($scriptcheck)-1]=="statistik.php") return true;
	else return false;
}
function check_var($vari)
{
	global $$vari,$USED_MAGIC;
	if(isset($$vari) && $$vari!="") 
	{
		if(!get_magic_quotes_gpc()) 
		{
			if((is_array($USED_MAGIC) && !in_array($$vari,$USED_MAGIC)) || !is_array($USED_MAGIC)) $USED_MAGIC[] = $$vari;
			return addslashes($$vari);
		}return $$vari;
	}elseif(isset($_GET[$vari]) && $_GET[$vari]!="") 
	{
		if(!get_magic_quotes_gpc()) 
		{
			if((is_array($USED_MAGIC) && !in_array($_GET[$vari],$USED_MAGIC)) || !is_array($USED_MAGIC)) $USED_MAGIC[] = $_GET[$vari];
			return addslashes($_GET[$vari]);
		}else return $_GET[$vari];
	}elseif(isset($_POST[$vari]) && $_POST[$vari]!="")
	{
		if(!get_magic_quotes_gpc()) 
		{
			if((is_array($USED_MAGIC) && !in_array($_POST[$vari],$USED_MAGIC)) || !is_array($USED_MAGIC)) $USED_MAGIC[] = $_POST[$vari];
			return addslashes($_POST[$vari]);
		}else return $_POST[$vari];
	}else return false;	
}
function check_rechte()
{
	global $st_id,$USER,$USER_RECHTE;
	if($USER["Status"]=="1" || $USER_RECHTE[$st_id]) return true;
	else return false;
}
function format_seconds_old($seconds)
{
	if($seconds>=3600)
	{
		$hours = floor($seconds/3600)."h";
		$seconds = $seconds%3600;	
	}else $hours = "";
	if($seconds>=60)
	{
		$minutes = floor($seconds/60)."m";
		$seconds = $seconds%60;
	}else $minutes = "";
	$formatseconds = $hours.$minutes.$seconds."s";
	return $formatseconds; 
}
function format_seconds($seconds)
{
	if($seconds>=600)
	{
		return ">10min";
	}
	if($seconds>=60)
	{
		$minutes = floor($seconds/60)."m";
		$seconds = $seconds%60;
	}else $minutes = "";
	$formatseconds = $minutes.$seconds."s";
	return $formatseconds; 
}
function enc_key($key)
{
	if(strlen($key)<4) $key .= "LetterIt";
	$er[0] = ord(substr($key,0,1));
	$er[1] = ord(substr($key,1,1));
	$er[2] = ord(substr($key,2,1));
	$er[3] = ord(substr($key,3,1));
	return($er);
}
function enc_ip($ip)
{
	global $statit_user;
	$er = enc_key($statit_user);
	$expl_ip = explode(".",$ip);
	$e[0] = $expl_ip[0] + $er[0];
	$e[1] = $expl_ip[1] + $er[1];
	$e[2] = $expl_ip[2] + $er[2];
	$e[3] = $expl_ip[3] + $er[3];
	$enc_ip = strlen($e[0]).strlen($e[1]).strlen($e[2]).strlen($e[3]).$e[3].$e[2].$e[1].$e[0];
	return $enc_ip;
}
function dec_ip($enc_ip)
{
	global $statit_user;
	$er = enc_key($statit_user);
	$len[0] = substr($enc_ip,0,1);
	$len[1] = substr($enc_ip,1,1);
	$len[2] = substr($enc_ip,2,1);
	$len[3] = substr($enc_ip,3,1);
	$d[0] = substr($enc_ip,$len[3]+$len[2]+$len[1]+4,$len[0]) - $er[0];
	$d[1] = substr($enc_ip,$len[3]+$len[2]+4,$len[1]) - $er[1];
	$d[2] = substr($enc_ip,$len[3]+4,$len[2]) - $er[2];
	$d[3] = substr($enc_ip,4,$len[3]) - $er[3];
	$dec_ip = $d[0].".".$d[1].".".$d[2].".".$d[3];
	return $dec_ip;
}
function ip2country($ipaddr)
{
	$buffer = "";
	if(!$sock = fsockopen("whois.arin.net",43,$errno,$errstr,10)) unset($sock);
	else
	{
		fputs($sock,"+".$ipaddr."\n");
		while(!feof($sock)) $buffer .= fgets($sock,5120);
		fclose($sock);
	}
	if(eregi("whois.ripe.net",$buffer)) $registry = "whois.ripe.net";
	elseif(eregi("whois.apnic.net", $buffer)) $registry = "whois.apnic.net";
	elseif(eregi("whois.lacnic.net", $buffer)) $registry = "whois.lacnic.net";
	elseif(eregi("nic.ad.jp", $buffer))
	{
		$registry = "whois.nic.ad.jp";
		$zusatz = "/e";
	}
	if($registry)
	{
		$buffer = "";
		if(!$sock = fsockopen($registry,43,$errno,$errstr,10)) unset($sock);
		else
		{
			fputs($sock,$ipaddr.$zusatz."\n");
			while(!feof($sock)) $buffer .= fgets($sock,5120);
			fclose($sock);
		}
	}
	$buffer = nl2br($buffer);
	$expl_buffer = explode("<br />", $buffer);
    foreach($expl_buffer as $zeile)
	{
    	$expl_zeile = explode(":",$zeile);
        $key = strtolower(trim($expl_zeile[0]));
        $wert = trim($expl_zeile[1]);
		if($key=="country") $ipcountry['country'] = strtolower($wert); 
		elseif($key=="netname") $ipcountry['netname'] = $wert;
    }                           
     return $ipcountry;                          
}
function show_tld($tld)
{
	global $statit_mysql,$scriptname,$st_id;
	$RES_DESC = mysql_query("SELECT * FROM statit_listdomains WHERE tld='$tld'",$statit_mysql);
	$DESC = mysql_fetch_array($RES_DESC);
	if($DESC['x']!="0" && mysql_num_rows($RES_DESC)) echo "<a href=\"javascript:worldmap('".$scriptname."?st_id=".$st_id."&".strip_tags(SID)."',".$DESC['x'].",".$DESC['y'].",'".addslashes($DESC['description'])."');\">".$tld."</a>";
	else echo $tld;	
}
function unhtmlentities($string)
{
	if(function_exists("html_entity_decode")) return html_entity_decode($string);
	else
	{
		$trans_tbl = get_html_translation_table(HTML_ENTITIES);
		$trans_tbl = array_flip($trans_tbl);
		return strtr($string, $trans_tbl);
	}
}
function last_links($anzahl,$seite)
{
	$image = "";
	if($anzahl==1)
	{
		$image .= '<img src="images/01.gif" alt="'.$seite.'" title="'.$seite.'">';
	}else
	{
		for ($i = 0; $i < strlen($anzahl); $i++)
		{
			$image .= '<img src="images/'.substr($anzahl,$i,1).'.gif" alt="'.$seite.'" title="'.$seite.'">';
		}
	}
	return $image;
}
?>