<?php
// ############################################################
// # StatIt                                                   #
// ############################################################
// # by Helge Orthmann                                        #
// # Contact: otter@otterware.de                              #
// # Homepage: http://www.otterware.de                        #
// ############################################################
// # Leave this header in this file !                         #
// ############################################################
if(check_inc())
{
	if(check_var('export')=="graph")
	{
		if(!check_var('monate')) $monate = 11;
		else $monate = check_var('monate');
		$tmonate = $monate+1;
		$plusmonat = $monate + 12;
		if($monate==11) $minusmonat = "";
		else $minusmonat = $monate - 12;
?>
<html>
<head>
	<title>StatIt by www.otterware.de</title>
<?php
		if(check_var('old')=="1")
		{
?>
	<script type="text/javascript" src="chart/wz_jsgraphics.js"></script>
	<script type="text/javascript" src="chart/chart.js"></script>
	<script type="text/javascript" src="chart/jgchartpainter.js"></script>
<?php			
		}else
		{
?>
	<script type="text/javascript" src="chart/excanvas.js"></script>
	<script type="text/javascript" src="chart/chart.js"></script>
	<script type="text/javascript" src="chart/canvaschartpainter.js"></script>
<?php
		}
?>
	<script type="text/javascript">
	function start_graph()
	{
<?php
		$RES_RESOLUTION = mysql_query("SELECT * FROM statit_resolution WHERE st_id='$st_id' ORDER BY hits DESC",$statit_mysql);
		while($RESOLUTION = mysql_fetch_array($RES_RESOLUTION))
		{
			$expl_res = explode(" ",$RESOLUTION['resolution']);
			$resolution_allg[$expl_res[0]] += $RESOLUTION['hits'];
		}
		if(is_array($resolution_allg))
		{
			$jsgraph .= "\t\tvar c = new Chart(document.getElementById('chart'));\n";
			$jsgraph .= "\t\tc.setDefaultType(CHART_LINE);\n";
#			$jsgraph .= "\t\tc.setGridDensity(12, 10);\n";
			$jsgraph .= "\t\tc.setGridDensity(".$tmonate.", 10);\n";
			$jsgraph .= "\t\tc.setHorizontalLabels([";
#			for($i = 11; $i >= 0; $i--) 
			for($i = $monate; $i >= 0; $i--) 
			{
				$monat_z = date("n",mktime(1,1,1,date("m")-$i,1,date("Y")));
				$monat_z1 = date("m",mktime(1,1,1,date("m")-$i,1,date("Y")));
				$jahr_z = date("Y",mktime(1,1,1,date("m")-$i,1,date("Y")));
				$jahr_z1 = date("y",mktime(1,1,1,date("m")-$i,1,date("Y")));
				$key = $jahr_z.$monat_z;
				$summe[$key] = 0;
				$RES_RESOLUTIONTIME = mysql_query("SELECT * from statit_resolution_time WHERE st_id='$st_id' AND year='$jahr_z' AND month='$monat_z'",$statit_mysql);
				if(!mysql_num_rows($RES_RESOLUTIONTIME)) $plusmonat = "";
				while($RESOLUTIONTIME = mysql_fetch_array($RES_RESOLUTIONTIME))
				{
					$summe[$key] += $RESOLUTIONTIME['hits'];
					$resolution[$key][$RESOLUTIONTIME['resolution']] = $RESOLUTIONTIME['hits'];
				}
#				$labels[] = "'".$monat_z1.".".$jahr_z1."'";
				if($monate>11)
				{
					if($i==$monate || $i==0) $labels[] = "'".$monat_z1.".".$jahr_z1."'";
					else $labels[] = "''";	
				}else $labels[] = "'".$monat_z1.".".$jahr_z1."'";
			}
			$jsgraph .= implode(",",$labels);
			$jsgraph .= "]);\n";
			$count = 0;
			while(list ($key, $val) = each ($resolution_allg))
			{
				$jsgraph .= "\t\tc.add('".unhtmlentities($key)." x ? px', '".$graph_color[$count]."', [";
#				for($i = 11; $i >= 0; $i--) 
				for($i = $monate; $i >= 0; $i--)
				{
					$monat_z = date("n",mktime(1,1,1,date("m")-$i,1,date("Y")));
					$jahr_z = date("Y",mktime(1,1,1,date("m")-$i,1,date("Y")));
					$keyz = $jahr_z.$monat_z;
					if($summe[$keyz]>0) 
					{
						$proz = 100 * $resolution[$keyz][$key] / $summe[$keyz];
						$proz = sprintf ("%01.2f", $proz);
					}else 
					{
						$proz = "0";
					}
					$values[] = $proz;	 
				}
				$jsgraph .= implode(",",$values);
				unset($values);
				$jsgraph .= "]);\n";
				$count++;
				if($count>=7) break;
			}
			$jsgraph .= "\t\tc.draw();\n";
			echo $jsgraph;
		}
?>
	}
	</script>
	<link rel="stylesheet" type="text/css" href="style.css">
	<link rel="stylesheet" type="text/css" media="screen" href="chart/canvaschart.css" />
	<style type="text/css">
	.chart { margin-left: 20px; }
	a,a:link,a:hover,a:active, a:visited
	{
		text-decoration:none;
		font-family: Helvetica,Verdana;
		font-size: 9px;
		position: absolute;
		bottom: 5px;
		right: 25px;
		color: #000000;
	}
	</style>
</head>
<body onload="start_graph();">
<div id="chart" class="chart" style="width: 600px; height: 350px;"></div>
<?php
		if($plusmonat!="")
		{
?>
<input type="button" class="button" value="<<" onclick="document.location.href='<?php echo $scriptname ?>?action=<?php echo check_var('action'); ?>&st_id=<?php echo $st_id ?>&export=graph&monate=<?php echo $plusmonat ?>&old=<?php echo check_var('old'); ?>&<?php echo strip_tags(SID); ?>';" />&nbsp;
<?php
		}
		if($minusmonat!="")
		{
?>
<input type="button" class="button" value=">>" onclick="document.location.href='<?php echo $scriptname ?>?action=<?php echo check_var('action'); ?>&st_id=<?php echo $st_id ?>&export=graph&monate=<?php echo $minusmonat ?>&old=<?php echo check_var('old'); ?>&<?php echo strip_tags(SID); ?>';" />
<?
		}
		if(!check_var('old'))
		{
?>
<a href="<?php echo $scriptname ?>?action=<?php echo check_var('action'); ?>&st_id=<?php echo $st_id ?>&export=graph&monate=<?php echo $monate ?>&old=1&<?php echo strip_tags(SID); ?>">see nothing? click here</a>
<?php
		}
?>
</body>
</html>
<?php	
		exit;
	}
	if(check_var('reset') && $USER['Status']=="1")
	{
		/* Daten reseten */
		mysql_query("DELETE FROM statit_resolution WHERE st_id='$st_id'",$statit_mysql);
		if(check_var('reset')=="1") mysql_query("DELETE FROM statit_resolution_time WHERE st_id='$st_id'",$statit_mysql);
		mysql_query("UPDATE statit_logstarts SET time='$time' WHERE st_id='$st_id' AND stat='resolution'",$statit_mysql);	
	}
	$RES_LOGSTART = mysql_query("SELECT * FROM statit_logstarts WHERE st_id='$st_id' AND stat='resolution'",$statit_mysql);
	$LOGSTART = mysql_fetch_array($RES_LOGSTART);
	if(!check_var('show')) $show = "less";
	if(!check_var('export'))
	{
		if($USER['Status']=="1")
		{
?>
		<script type="text/javascript">
		function reset_stat(status)
		{
			if(status==1) Check = confirm("<?php echo $lang_script["reseten"] ?>?");
			else if(status==2) Check = confirm("<?php echo $lang_script["reseteneinfach"] ?>?");
			if(Check==true) window.location.href = "index.php?action=<?php echo check_var('action'); ?>&st_id=<?php echo $st_id ?>&reset="+status+"&<?php echo strip_tags(SID); ?>";
		}
		</script>
<?php
		}
?>
		<table width="100%" cellpadding="2" cellspacing="0">
		<tr>
			<td bgcolor="#cccccc" width="33%">&nbsp;<?php if($USER['Status']=="1") { ?><a href="javascript:reset_stat(2);"><img src="images/reset1.gif" border="0" alt="reset" title="reset"></a>&nbsp;&nbsp;<a href="javascript:reset_stat(1);"><img src="images/reset.gif" border="0" alt="reset" title="reset"></a><?php } ?>&nbsp;</td>
			<td bgcolor="#cccccc" align="center"><b><?php echo $lang_script["Aufloesung"] ?></b></td>
			<td bgcolor="#cccccc" align="right" width="33%"><a href="<?php echo $scriptname ?>?action=<?php echo check_var('action'); ?>&st_id=<?php echo $st_id ?>&export=pdf&show=<?php echo check_var('show'); ?>&<?php echo strip_tags(SID); ?>" target="_self"><img src="images/pdf.gif" border="0" alt="pdf download" title="pdf download"></a>&nbsp;&nbsp;<a href="<?php echo $scriptname ?>?action=<?php echo check_var('action'); ?>&st_id=<?php echo $st_id ?>&export=csv&show=<?php echo check_var('show'); ?>&<?php echo strip_tags(SID); ?>" target="_self"><img src="images/csv.gif" border="0" alt="csv download" title="csv download"></a>&nbsp;</td>
		</tr>
		</table>
		<table width="550" cellpadding="2" cellspacing="0" align="center" class="stattable">
		<tr>
			<td width="100" class="statheader">&nbsp;<?php echo $lang_script["Aufloesung"] ?></td>
			<td width="50" class="statheader">%</td>
			<td class="statheader"><?php echo $lang_script["Hits"] ?>&nbsp;<?php echo $lang_script["seit"] ?>: <?php echo date($DATA['dateformat']." H:i",$LOGSTART['time']); ?></td>
		</tr>
<?php
	}elseif(check_var('export')=="pdf") $htmlTable = "<table border=\"1\" width=\"175\"><tr><td width=\"50\" bgcolor=\"#dddddd\">".unhtmlentities($lang_script['Aufloesung'])."</td><td width=\"15\" bgcolor=\"#dddddd\">%</td><td bgcolor=\"#dddddd\">".unhtmlentities($lang_script['Hits'])." ".unhtmlentities($lang_script["seit"]).": ".date($DATA['dateformat']." H:i",$LOGSTART['time'])."</td></tr>";
	elseif(check_var('export')=="csv") $csv = unhtmlentities($lang_script['Aufloesung']).",%,".unhtmlentities($lang_script['Hits'])." ".unhtmlentities($lang_script["seit"]).": ".date($DATA['dateformat']." H:i",$LOGSTART['time'])."\r\n";
	$max = 0;
	$sum = 0;
	$prozsum = 0;
	$valsum = 0;
	$res800 = 0;
	$res1024 = 0;
	$res1280 = 0;
	$i = 1;
	$col = 1;
	$RES_RESOLUTION = mysql_query("SELECT * FROM statit_resolution WHERE st_id='$st_id' ORDER BY hits DESC",$statit_mysql);
	while($RESOLUTION = mysql_fetch_array($RES_RESOLUTION))
	{
		$resolution[$RESOLUTION['resolution']] = $RESOLUTION['hits'];
		if($RESOLUTION['hits']>$max) $max = $RESOLUTION['hits'];
		$sum += $RESOLUTION['hits'];	
		$expl_res = explode(" ",$RESOLUTION['resolution']);
		if($expl_res[0]>800) $res800 += $RESOLUTION['hits'];
		if($expl_res[0]>1024) $res1024 += $RESOLUTION['hits'];
		if($expl_res[0]>1280) $res1280 += $RESOLUTION['hits'];
		$resolution_allg[$expl_res[0]] += $RESOLUTION['hits'];
		/* 16:9 und 4:3 */
		if($expl_res[0]>=$expl_res[2]) $formatr = $expl_res[0]/$expl_res[2];	
		else $formatr = $expl_res[2]/$expl_res[0];
		if($formatr>=1.2 && $formatr<=1.47) $format["4:3"] += $RESOLUTION['hits'];
		elseif($formatr>=1.6 && $formatr<=1.95) $format["16:9"] += $RESOLUTION['hits'];
		elseif($formatr>=2.4) $format["dualscreen+"] += $RESOLUTION['hits'];
		else $format["?"] += $RESOLUTION['hits'];
	}
	if(!check_var('export'))
	{
?>
		<tr>
			<td class="stattd1">&nbsp;<?php echo $lang_script["total"] ?></td>
			<td class="stattd1">&nbsp;</td>
			<td class="stattd1"><?php echo count($resolution)." / ".$sum ?></td>
		</tr>
<?php
	}elseif(check_var('export')=="pdf") $htmlTable .= "<tr><td bgcolor=\"#eeeeee\">".unhtmlentities($lang_script["total"])."</td><td bgcolor=\"#eeeeee\">&nbsp;</td><td bgcolor=\"#eeeeee\">".$sum."&nbsp;</td></tr>";
	elseif(check_var('export')=="csv") $csv = unhtmlentities($lang_script["total"]).",,".$sum."\r\n";
	if(is_array($resolution))
	{
		if(check_var('show')=="less" && count($resolution)>20)
		{
			while (list ($key, $val) = each ($resolution)) 
			{
				if($i==20)
				{
					$val = $sum - $valsum;
					if($val>$max) $max = $val;
				}else
				{
					$valsum += $val;
				}
				if($i==20) break;
				$i++;
			}
		}
		$i = 1;
		$valsum = 0;
		reset($resolution);
		while (list ($key, $val) = each ($resolution)) 
		{
			if(check_var('show')=="less")
			{
				if($i==20)
				{
					$proz = 100 - $prozsum;
					$val = $sum - $valsum;
					$proz = sprintf ("%01.2f", $proz);
					$width = floor(300 * $val / $max);
					$output = $lang_script["Sonstige"];
				}else
				{
					$proz = 100 * $val / $sum;
					$prozsum += $proz;
					$valsum += $val;
					$proz = sprintf ("%01.2f", $proz);
					$width = floor(300 * $val / $max);
					$output = $key." px";
				}
			}else
			{
				$proz = 100 * $val / $sum;
				$proz = sprintf ("%01.2f", $proz);
				$width = floor(300 * $val / $max);
				$output = $key." px";
			}
			if($col==1)
			{
				$col = 2;
				$bgcolor = "#dddddd";
			}elseif($col==2) 
			{
				$col = 1;
				$bgcolor = "#eeeeee";
			}
			if(check_var('export')=="pdf")
			{
				$anzahlb = floor(100 * $val / $max);
				$balken = "";
				for ($j = 1; $j <= $anzahlb; $j++) $balken .= "|";
				$htmlTable .= "<tr><td bgcolor=\"".$bgcolor."\">".unhtmlentities($output)."</td><td bgcolor=\"".$bgcolor."\">".$proz."</td><td bgcolor=\"".$bgcolor."\">".$balken." ".$val."</td></tr>";
			}elseif(check_var('export')=="csv") $csv .= unhtmlentities($output).",".$proz.",".$val."\r\n";
			else
			{
?>
		<tr>
			<td class="stattd<?php echo $col ?>">&nbsp;<?php echo $output; ?></td>
			<td class="stattd<?php echo $col ?>"><?php echo $proz ?></td>
			<td class="stattd<?php echo $col ?>"><img src="images/stat.gif" border="1" alt="<?php echo $val ?> <?php echo $lang_script["Hits"] ?>, <?php echo $proz ?> %" title="<?php echo $val ?> <?php echo $lang_script["Hits"] ?>, <?php echo $proz ?> %" width="<?php echo $width ?>" height="12" style="margin: 0px 3px 0px 0px;" align="left"> <?php echo $val ?></td>
		</tr>
<?php
			}
			if(check_var('show')=="less")
			{
				if($i==20) break;
				$i++;
			}
		}
		if($sum)
		{
			$proz800 = 100 * $res800 / $sum;
			$proz800 = sprintf ("%01.2f", $proz800);
			$proz1024 = 100 * $res1024 / $sum;
			$proz1024 = sprintf ("%01.2f", $proz1024);
			$proz1280 = 100 * $res1280 / $sum;
			$proz1280 = sprintf ("%01.2f", $proz1280);
			if(check_var('export')=="pdf" || check_var('export')=="csv") $htmlTable .= "<tr><td colspan=\"3\">".unhtmlentities($lang_script["Aufloesung"])." > 800 : ".$res800." (".$proz800." %)<br>".unhtmlentities($lang_script["Aufloesung"])." > 1024 : ".$res1024." (".$proz1024." %)<br>".unhtmlentities($lang_script["Aufloesung"])." > 1280 : ".$res1280." (".$proz1280." %)</td></tr>";
			else 
			{
?>
		<tr>
			<td colspan="3"><?php echo $lang_script["Aufloesung"] ?> > 800 : <?php echo $res800; ?> (<?php echo $proz800 ?> %)<br><?php echo $lang_script["Aufloesung"] ?> > 1024 : <?php echo $res1024; ?> (<?php echo $proz1024 ?> %)<br><?php echo $lang_script["Aufloesung"] ?> > 1280 : <?php echo $res1280; ?> (<?php echo $proz1280 ?> %)</td>
		</tr>
<?php
			}
		}
		if(!check_var('export'))
		{
			if(mysql_num_rows($RES_RESOLUTION)>=20)
			{	
?>
		<tr>
			<td colspan="3" align="center">
<?php
				if(check_var('show')=="less")
				{
?>
			<a href="<?php echo $scriptname ?>?action=<?php echo check_var('action'); ?>&st_id=<?php echo $st_id ?>&show=more&<?php echo strip_tags(SID); ?>"><img src="images/down.gif" border="0"></a>
<?php	
				}else
				{
?>
			<a href="<?php echo $scriptname ?>?action=<?php echo check_var('action'); ?>&st_id=<?php echo $st_id ?>&show=less&<?php echo strip_tags(SID); ?>"><img src="images/up.gif" border="0"></a>
<?php	
				}
?>	
			</td>
		</tr>
<?php
			}
		}
	}
	if(!check_var('export'))
	{
?>
	</table>
<?
	}else $htmlTable .= "</table>";
	if(is_array($format))
	{
		arsort($format);
		$max = 0;
		while (list ($key, $val) = each ($format)) 
		{
			if($val>=$max) $max = $val;
		}
		reset($format);
		if(!check_var('export'))
		{
?>
		<br>
		<table width="550" cellpadding="2" cellspacing="0" align="center" class="stattable">
		<tr>
			<td width="100" class="statheader">&nbsp;<?php echo $lang_script["Aufloesung"] ?></td>
			<td width="50" class="statheader">%</td>
			<td class="statheader"><?php echo $lang_script["Hits"] ?>&nbsp;</td>
		</tr>
<?php
		}elseif(check_var('export')=="pdf") $htmlTable1 = "<table border=\"1\" width=\"175\"><tr><td width=\"50\" bgcolor=\"#dddddd\">".unhtmlentities($lang_script['Aufloesung'])."</td><td width=\"15\" bgcolor=\"#dddddd\">%</td><td bgcolor=\"#dddddd\">".unhtmlentities($lang_script['Hits'])."</td></tr>";
		$col = 2;
		while (list ($key, $val) = each ($format)) 
		{
			if($col==1)
			{
				$col = 2;
				$bgcolor = "#dddddd";
			}elseif($col==2) 
			{
				$col = 1;
				$bgcolor = "#eeeeee";
			}
			if($sum)
			{
				$proz = 100 * $val / $sum;
				$proz = sprintf ("%01.2f", $proz);
				$width = floor(300 * $val / $max);
			}
			if(check_var('export')=="pdf" || check_var('export')=="csv")
			{
				$anzahlb = floor(100 * $val / $max);
				$balken = "";
				for ($j = 1; $j <= $anzahlb; $j++) $balken .= "|";
				$htmlTable1 .= "<tr><td bgcolor=\"".$bgcolor."\">".unhtmlentities($key)."</td><td bgcolor=\"".$bgcolor."\">".$proz."</td><td bgcolor=\"".$bgcolor."\">".$balken." ".$val."</td></tr>";
			}else
			{
?>
		<tr>
			<td class="stattd<?php echo $col ?>">&nbsp;<?php echo $key; ?></td>
			<td class="stattd<?php echo $col ?>"><?php echo $proz ?></td>
			<td class="stattd<?php echo $col ?>"><img src="images/stat.gif" border="1" alt="<?php echo $val ?> <?php echo $lang_script["Hits"] ?>, <?php echo $proz ?> %" title="<?php echo $val ?> <?php echo $lang_script["Hits"] ?>, <?php echo $proz ?> %" width="<?php echo $width ?>" height="12" style="margin: 0px 3px 0px 0px;" align="left"> <?php echo $val ?></td>
		</tr>
<?
			}
		}	
		if(!check_var('export')) 
		{
?>
	</table><br>
<?		
		}else $htmlTable1 .= "</table>";		
	}
	if(!check_var('export')) 
	{
?>
		<table width="550" cellpadding="2" cellspacing="0" align="center" class="stattable">
		<tr>
			<td width="100" class="statheader">&nbsp;<?php echo $lang_script["Aufloesung"] ?> % <a href=<?php echo $scriptname ?>?action=<?php echo check_var('action'); ?>&st_id=<?php echo $st_id ?>&export=graph&<?php echo strip_tags(SID); ?>" onclick="window.open('<?php echo $scriptname ?>?action=<?php echo check_var('action'); ?>&st_id=<?php echo $st_id ?>&export=graph&<?php echo strip_tags(SID); ?>','','width=700,height=400,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-200)+'');return false;"><img src="images/graph.gif" border="0" alt="graph" title="graph"></a></td>
<?php
	}elseif(check_var('export')=="pdf")
	{
		$htmlTable2 = "<table border=\"1\" width=\"175\"><tr><td width=\"30\" bgcolor=\"#dddddd\">".unhtmlentities($lang_script['Aufloesung'])." %</td>";
	}
	for($i = 5; $i >= 0; $i--) 
	{
		$monat_z = date("n",mktime(1,1,1,date("m")-$i,1,date("Y")));
		$monat_z1 = date("m",mktime(1,1,1,date("m")-$i,1,date("Y")));
		$jahr_z = date("Y",mktime(1,1,1,date("m")-$i,1,date("Y")));
		$key = $jahr_z.$monat_z;
		$summe[$key] = 0;
		$RES_RESOLUTIONTIME = mysql_query("SELECT * from statit_resolution_time WHERE st_id='$st_id' AND year='$jahr_z' AND month='$monat_z'",$statit_mysql);
		while($RESOLUTIONTIME = mysql_fetch_array($RES_RESOLUTIONTIME))
		{
			$summe[$key] += $RESOLUTIONTIME['hits'];
			$resolution[$key][$RESOLUTIONTIME['resolution']] = $RESOLUTIONTIME['hits'];
		}
		if(!check_var('export')) 
		{
?>
			<td class="statheader"><?php echo $monat_z1.". ".$jahr_z; ?></td>
<?php
		}elseif(check_var('export')=="pdf")
		{
			$htmlTable2 .= "<td bgcolor=\"#dddddd\">".$monat_z1.". ".$jahr_z."</td>";
		}		
	}
	if(!check_var('export')) 
	{
?>
		</tr>
<?php
	}elseif(check_var('export')=="pdf")
	{
		$htmlTable2 .= "</tr>";	
	}
	$col = 2;
	if(is_array($resolution_allg))
	{
#		ksort($resolution_allg);
		arsort($resolution_allg);
		while(list ($key, $val) = each ($resolution_allg))
		{
			if($col==1)
			{
				$col = 2;
				$bgcolor = "#dddddd";
			}elseif($col==2) 
			{
				$col = 1;
				$bgcolor = "#eeeeee";
			}
			if(!check_var('export')) 
			{
?>
		<tr>
			<td class="stattd<?php echo $col ?>" valign="top">&nbsp;<?php echo $key; ?> x ? px</td>
<?php
			}elseif(check_var('export')=="pdf")
			{
				$htmlTable2 .= "<tr><td bgcolor=\"".$bgcolor."\">".$key." x ? px</td>";
			}
			$checkfirst = 0;
			$vor = 0;
			for($i = 5; $i >= 0; $i--) 
			{
				$monat_z = date("n",mktime(1,1,1,date("m")-$i,1,date("Y")));
				$jahr_z = date("Y",mktime(1,1,1,date("m")-$i,1,date("Y")));
				$keyz = $jahr_z.$monat_z;
				if($summe[$keyz]>0) 
				{
					$proz = 100 * $resolution[$keyz][$key] / $summe[$keyz];
					if($proz>$vor && $checkfirst!=0)
					{
						$verh = $proz-$vor;
						$verh = "+".sprintf ("%01.2f", $verh);
						$verh1 = $verh;
						$verh = " <font color=\"green\">".$verh."</font>";
					}elseif($proz<$vor && $checkfirst!=0)
					{
						$verh = $vor-$proz;
						$verh = "-".sprintf ("%01.2f", $verh);
						$verh1 = $verh;
						$verh = " <font color=\"red\">".$verh."</font>";
					}else 
					{
						$verh = "";
						$verh1 = $verh;
					}
					$vor = $proz;
					$proz = sprintf ("%01.2f", $proz);
					$checkfirst++;
				}else 
				{
					$proz = "";
					$vor = 0;
					$verh = "";
					$verh1 = $verh;
				}
				if(!check_var('export')) 
				{
?>
			<td class="stattd<?php echo $col ?>"><?php echo $proz; ?><?php echo $verh ?></td>
<?php
				}elseif(check_var('export')=="pdf")
				{
					$htmlTable2 .= "<td bgcolor=\"".$bgcolor."\">".$proz." ".$verh1."</td>";	
				}		 
			}
			if(!check_var('export')) 
			{
?>
		</tr>
<?php
			}elseif(check_var('export')=="pdf")
			{
				$htmlTable2 .= "</tr>";		
			}
		}
	}
	if(!check_var('export'))
	{
?>
		</table>
<?php
	}elseif(check_var('export')=="pdf")
	{
		$htmlTable2 .= "</table>";
		define('FPDF_FONTPATH',$fpdfpath.'font/');
		require('fpdf/pdftable.inc.php');
		$p = new PDFTable();
		$p->fpdfpath=$fpdfpath;
		$p->AddPage();
		$p->SetFont('Arial','',8);
		$p->Write(5,'StatIt V '.$version.' '.$intern_version.'  ');
		$p->Write(5,'www.otterware.de','http://www.otterware.de');
		$p->ln(10);
		$p->setfont('arial','',13);
		$p->Write(5,unhtmlentities($lang_script["Aufloesung"]).' -- '.unhtmlentities($DATA['Name']).' -- '.date($DATA['dateformat']." H:i"));
		$p->ln(10);
		$p->SetFont('Arial','',10);
		$p->htmltable($htmlTable);
		$p->ln(10);
		$p->htmltable($htmlTable1);
		$p->ln(10);
		$p->SetFont('Arial','',9);
		$p->htmltable($htmlTable2);
		$p->output("resolution_".date("YmdHi").".pdf","D");
	}elseif(check_var('export')=="csv")
	{
		header("Content-type: text/csv");
		header("Content-Disposition: attachment; filename=resolution_".date("YmdHi").".csv");
		echo $csv;
		exit;
	}
}
?>