DROP TABLE IF EXISTS statit_bots;
CREATE TABLE statit_bots (
  st_id int(4) NOT NULL default '0',
  bot varchar(30) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,bot)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_browser;
CREATE TABLE statit_browser (
  st_id int(4) NOT NULL default '0',
  browser varchar(50) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,browser)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_browser_time;
CREATE TABLE statit_browser_time (
  st_id int(4) NOT NULL default '0',
  year int(4) NOT NULL default '0',
  month int(2) NOT NULL default '0',
  browser varchar(30) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,year,month,browser)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_color;
CREATE TABLE statit_color (
  st_id int(4) NOT NULL default '0',
  colors int(10) NOT NULL default '0',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,colors)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_data;
CREATE TABLE statit_data (
  st_id int(4) NOT NULL auto_increment,
  Name varchar(60) NOT NULL default '',
  allowed_reload_time int(3) NOT NULL default '0',
  max_last int(3) NOT NULL default '0',
  block_ips text NOT NULL,
  show_bots int(1) NOT NULL default '0',
  dateformat varchar(10) NOT NULL default '',
  open_stat int(1) NOT NULL default '0',
  use_var varchar(50) NOT NULL default '',
  PRIMARY KEY  (st_id)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_global;
CREATE TABLE statit_global (
  Letzter_Check int(11) NOT NULL default '0',
  update_verfuegbar int(1) NOT NULL default '0',
  default_language varchar(30) NOT NULL default '',
  Version int(7) NOT NULL default '0',
  timediffv char(1) NOT NULL default '',
  timediff int(2) NOT NULL default '0',
  ip2country int(1) NOT NULL default '0'
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_hour;
CREATE TABLE statit_hour (
  st_id int(4) NOT NULL default '0',
  hour int(2) NOT NULL default '0',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,hour)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_ip;
CREATE TABLE statit_ip (
  st_id int(4) NOT NULL default '0',
  ip varchar(18) NOT NULL default '',
  time int(10) NOT NULL default '0',
  agent varchar(100) NOT NULL default '',
  PRIMARY KEY  (st_id,ip,time,agent)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_last;
CREATE TABLE statit_last (
  st_id int(4) NOT NULL default '0',
  time int(11) NOT NULL default '0',
  ip varchar(15) NOT NULL default '',
  referer varchar(150) NOT NULL default '',
  browser varchar(70) NOT NULL default '',
  system varchar(70) NOT NULL default '',
  host varchar(100) NOT NULL default '',
  testip varchar(20) NOT NULL default '',
  rip varchar(15) NOT NULL default '',
  rhost varchar(100) NOT NULL default '',
  useragent varchar(250) NOT NULL default '',
  PRIMARY KEY  (st_id,time,ip)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_listdomains;
CREATE TABLE statit_listdomains (
  kontinent char(11) NOT NULL default '',
  tld char(20) NOT NULL default '',
  description char(50) NOT NULL default '',
  x int(3) NOT NULL default '0',
  y int(3) NOT NULL default '0',
  PRIMARY KEY  (tld)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_logincheck;
CREATE TABLE statit_logincheck (
  IP varchar(20) NOT NULL default '',
  Zeit int(11) NOT NULL default '0',
  Versuche int(2) NOT NULL default '0',
  PRIMARY KEY  (IP)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_logstarts;
CREATE TABLE statit_logstarts (
  st_id int(4) NOT NULL default '0',
  stat varchar(15) NOT NULL default '',
  time int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,stat)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_plugins;
CREATE TABLE statit_plugins (
  st_id int(4) NOT NULL default '0',
  hits int(10) NOT NULL default '0',
  fla int(10) NOT NULL default '0',
  dir int(10) NOT NULL default '0',
  qt int(10) NOT NULL default '0',
  rm int(10) NOT NULL default '0',
  pdf int(10) NOT NULL default '0',
  wma int(10) NOT NULL default '0',
  java int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_plugins_time;
CREATE TABLE statit_plugins_time (
  st_id int(4) NOT NULL default '0',
  hits int(10) NOT NULL default '0',
  year int(4) NOT NULL default '0',
  month int(2) NOT NULL default '0',
  fla int(10) NOT NULL default '0',
  dir int(10) NOT NULL default '0',
  qt int(10) NOT NULL default '0',
  rm int(10) NOT NULL default '0',
  pdf int(10) NOT NULL default '0',
  wma int(10) NOT NULL default '0',
  java int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,year,month)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_rechte;
CREATE TABLE statit_rechte (
  UID int(5) NOT NULL default '0',
  st_id int(4) NOT NULL default '0',
  PRIMARY KEY  (UID,st_id)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_referer;
CREATE TABLE statit_referer (
  st_id int(4) NOT NULL default '0',
  domain varchar(100) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,domain)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_resolution;
CREATE TABLE statit_resolution (
  st_id int(4) NOT NULL default '0',
  resolution varchar(12) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,resolution)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_resolution_time;
CREATE TABLE statit_resolution_time (
  st_id int(4) NOT NULL default '0',
  year int(4) NOT NULL default '0',
  month int(2) NOT NULL default '0',
  resolution varchar(5) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,year,month,resolution)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_searchengine;
CREATE TABLE statit_searchengine (
  st_id int(4) NOT NULL default '0',
  searchengine varchar(15) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,searchengine)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_searchquery;
CREATE TABLE statit_searchquery (
  st_id int(4) NOT NULL default '0',
  searchquery varchar(150) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,searchquery)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_site;
CREATE TABLE statit_site (
  st_id int(4) NOT NULL default '0',
  site varchar(150) NOT NULL default '0',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,site)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_sitefollow;
CREATE TABLE statit_sitefollow (
  st_id int(4) NOT NULL default '0',
  ip varchar(18) NOT NULL default '',
  time int(10) NOT NULL default '0',
  site varchar(150) NOT NULL default '',
  PRIMARY KEY  (st_id,ip,time)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_system;
CREATE TABLE statit_system (
  st_id int(4) NOT NULL default '0',
  system varchar(50) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,system)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_system_time;
CREATE TABLE statit_system_time (
  st_id int(4) NOT NULL default '0',
  year int(4) NOT NULL default '0',
  month int(2) NOT NULL default '0',
  system varchar(30) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,year,month,system)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_tld;
CREATE TABLE statit_tld (
  st_id int(4) NOT NULL default '0',
  tld varchar(10) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  PRIMARY KEY  (st_id,tld)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_unknown;
CREATE TABLE statit_unknown (
  art varchar(15) NOT NULL default '0',
  useragent varchar(230) NOT NULL default '',
  hits int(5) NOT NULL default '0',
  PRIMARY KEY  (useragent,art)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_user;
CREATE TABLE statit_user (
  UID int(3) NOT NULL auto_increment,
  Login varchar(30) NOT NULL default '',
  Passwort varchar(32) NOT NULL default '',
  Sprache varchar(100) NOT NULL default '',
  Status int(1) NOT NULL default '0',
  Name varchar(100) NOT NULL default '',
  Loginzeit int(11) NOT NULL default '0',
  show_ips int(1) NOT NULL default '0',
  PRIMARY KEY  (UID)
) TYPE=MyISAM;
DROP TABLE IF EXISTS statit_visits;
CREATE TABLE statit_visits (
  st_id int(4) NOT NULL default '0',
  year int(4) NOT NULL default '0',
  month int(2) NOT NULL default '0',
  d1 int(5) NOT NULL default '0',
  d2 int(5) NOT NULL default '0',
  d3 int(5) NOT NULL default '0',
  d4 int(5) NOT NULL default '0',
  d5 int(5) NOT NULL default '0',
  d6 int(5) NOT NULL default '0',
  d7 int(5) NOT NULL default '0',
  d8 int(5) NOT NULL default '0',
  d9 int(5) NOT NULL default '0',
  d10 int(5) NOT NULL default '0',
  d11 int(5) NOT NULL default '0',
  d12 int(5) NOT NULL default '0',
  d13 int(5) NOT NULL default '0',
  d14 int(5) NOT NULL default '0',
  d15 int(5) NOT NULL default '0',
  d16 int(5) NOT NULL default '0',
  d17 int(5) NOT NULL default '0',
  d18 int(5) NOT NULL default '0',
  d19 int(5) NOT NULL default '0',
  d20 int(5) NOT NULL default '0',
  d21 int(5) NOT NULL default '0',
  d22 int(5) NOT NULL default '0',
  d23 int(5) NOT NULL default '0',
  d24 int(5) NOT NULL default '0',
  d25 int(5) NOT NULL default '0',
  d26 int(5) NOT NULL default '0',
  d27 int(5) NOT NULL default '0',
  d28 int(5) NOT NULL default '0',
  d29 int(5) NOT NULL default '0',
  d30 int(5) NOT NULL default '0',
  d31 int(5) NOT NULL default '0',
  PRIMARY KEY  (st_id,year,month)
) TYPE=MyISAM;
INSERT INTO statit_listdomains VALUES ('AFR', 'ac', 'Ascension Island', 249, 219);
INSERT INTO statit_listdomains VALUES ('EUR', 'ad', 'Andorra', 274, 125);
INSERT INTO statit_listdomains VALUES ('ASI', 'ae', 'United Arab Emirates', 364, 165);
INSERT INTO statit_listdomains VALUES ('ASI', 'af', 'Afghanistan', 384, 144);
INSERT INTO statit_listdomains VALUES ('NCAME', 'ag', 'Antigua and Barbuda', 157, 181);
INSERT INTO statit_listdomains VALUES ('NCAME', 'ai', 'Anguilla', 171, 177);
INSERT INTO statit_listdomains VALUES ('EUR', 'al', 'Albania', 309, 131);
INSERT INTO statit_listdomains VALUES ('ASI', 'am', 'Armenia', 350, 130);
INSERT INTO statit_listdomains VALUES ('NCAME', 'an', 'Netherlands Antilles', 157, 181);
INSERT INTO statit_listdomains VALUES ('AFR', 'ao', 'Angola', 304, 232);
INSERT INTO statit_listdomains VALUES ('ANT', 'aq', 'Antartica', 0, 0);
INSERT INTO statit_listdomains VALUES ('SAME', 'ar', 'Argentina', 165, 271);
INSERT INTO statit_listdomains VALUES ('OZE', 'as', 'American Samoa', 584, 233);
INSERT INTO statit_listdomains VALUES ('EUR', 'at', 'Austria', 300, 116);
INSERT INTO statit_listdomains VALUES ('OZE', 'au', 'Australia', 497, 254);
INSERT INTO statit_listdomains VALUES ('SAME', 'aw', 'Aruba', 164, 187);
INSERT INTO statit_listdomains VALUES ('ASI', 'az', 'Azerbaijan', 355, 131);
INSERT INTO statit_listdomains VALUES ('EUR', 'ba', 'Bosnia and Herzegovina', 306, 125);
INSERT INTO statit_listdomains VALUES ('NCAME', 'bb', 'Barbados', 158, 182);
INSERT INTO statit_listdomains VALUES ('ASI', 'bd', 'Bangladesh', 425, 169);
INSERT INTO statit_listdomains VALUES ('EUR', 'be', 'Belgium', 285, 105);
INSERT INTO statit_listdomains VALUES ('AFR', 'bf', 'Burkina Faso', 272, 188);
INSERT INTO statit_listdomains VALUES ('EUR', 'bg', 'Bulgaria', 320, 126);
INSERT INTO statit_listdomains VALUES ('ASI', 'bh', 'Bahrain', 361, 164);
INSERT INTO statit_listdomains VALUES ('AFR', 'bi', 'Burundi', 323, 216);
INSERT INTO statit_listdomains VALUES ('AFR', 'bj', 'Benin', 280, 190);
INSERT INTO statit_listdomains VALUES ('NCAME', 'bm', 'Bermuda', 160, 152);
INSERT INTO statit_listdomains VALUES ('ASI', 'bn', 'Brunei Darussalam', 465, 201);
INSERT INTO statit_listdomains VALUES ('SAME', 'bo', 'Bolivia', 166, 240);
INSERT INTO statit_listdomains VALUES ('SAME', 'br', 'Brazil', 184, 227);
INSERT INTO statit_listdomains VALUES ('NCAME', 'bs', 'Bahamas', 149, 163);
INSERT INTO statit_listdomains VALUES ('ASI', 'bt', 'Bhutan', 422, 157);
INSERT INTO statit_listdomains VALUES ('ANT', 'bv', 'Bouvet Island', 0, 0);
INSERT INTO statit_listdomains VALUES ('AFR', 'bw', 'Botswana', 313, 250);
INSERT INTO statit_listdomains VALUES ('EUR', 'by', 'Belarus', 319, 100);
INSERT INTO statit_listdomains VALUES ('NCAME', 'bz', 'Belize', 128, 178);
INSERT INTO statit_listdomains VALUES ('NCAME', 'ca', 'Canada', 84, 80);
INSERT INTO statit_listdomains VALUES ('ASI', 'cc', 'Cocos (Keeling)', 439, 236);
INSERT INTO statit_listdomains VALUES ('AFR', 'cd', 'Congo, Democratic People''s Republic', 313, 212);
INSERT INTO statit_listdomains VALUES ('AFR', 'cf', 'Central African Republic', 307, 196);
INSERT INTO statit_listdomains VALUES ('AFR', 'cg', 'Congo, Republic of', 300, 211);
INSERT INTO statit_listdomains VALUES ('EUR', 'ch', 'Switzerland', 294, 118);
INSERT INTO statit_listdomains VALUES ('AFR', 'ci', 'Cote d''Ivoire', 266, 196);
INSERT INTO statit_listdomains VALUES ('OZE', 'ck', 'Cook Islands', 587, 242);
INSERT INTO statit_listdomains VALUES ('SAME', 'cl', 'Chile', 154, 262);
INSERT INTO statit_listdomains VALUES ('AFR', 'cm', 'Cameroon', 295, 198);
INSERT INTO statit_listdomains VALUES ('ASI', 'cn', 'China', 442, 142);
INSERT INTO statit_listdomains VALUES ('SAME', 'co', 'Colombia', 151, 201);
INSERT INTO statit_listdomains VALUES ('NCAME', 'cr', 'Costa Rica', 135, 193);
INSERT INTO statit_listdomains VALUES ('NCAME', 'cu', 'Cuba', 144, 168);
INSERT INTO statit_listdomains VALUES ('AFR', 'cv', 'Cap Verde', 236, 176);
INSERT INTO statit_listdomains VALUES ('ASI', 'cx', 'Christmas Island', 448, 234);
INSERT INTO statit_listdomains VALUES ('EUR', 'cy', 'Cyprus', 328, 143);
INSERT INTO statit_listdomains VALUES ('EUR', 'cz', 'Czech Republic', 302, 112);
INSERT INTO statit_listdomains VALUES ('EUR', 'de', 'Germany', 294, 107);
INSERT INTO statit_listdomains VALUES ('AFR', 'dj', 'Djibouti', 347, 188);
INSERT INTO statit_listdomains VALUES ('EUR', 'dk', 'Denmark', 290, 96);
INSERT INTO statit_listdomains VALUES ('NCAME', 'dm', 'Dominica', 166, 184);
INSERT INTO statit_listdomains VALUES ('NCAME', 'do', 'Dominican Republic', 157, 174);
INSERT INTO statit_listdomains VALUES ('AFR', 'dz', 'Algeria', 279, 153);
INSERT INTO statit_listdomains VALUES ('SAME', 'ec', 'Ecuador', 144, 214);
INSERT INTO statit_listdomains VALUES ('EUR', 'ee', 'Estonia', 313, 92);
INSERT INTO statit_listdomains VALUES ('AFR', 'eg', 'Egypt', 322, 158);
INSERT INTO statit_listdomains VALUES ('AFR', 'eh', 'Western Sahara', 253, 163);
INSERT INTO statit_listdomains VALUES ('AFR', 'er', 'Eritrea', 342, 184);
INSERT INTO statit_listdomains VALUES ('EUR', 'es', 'Spain', 267, 131);
INSERT INTO statit_listdomains VALUES ('AFR', 'et', 'Ethiopia', 339, 192);
INSERT INTO statit_listdomains VALUES ('EUR', 'fi', 'Finland', 318, 70);
INSERT INTO statit_listdomains VALUES ('OZE', 'fj', 'Fiji', 586, 248);
INSERT INTO statit_listdomains VALUES ('SAME', 'fk', 'Falkland Islands (Malvina)', 176, 305);
INSERT INTO statit_listdomains VALUES ('OZE', 'fm', 'Micronesia, Federal State of', 513, 202);
INSERT INTO statit_listdomains VALUES ('EUR', 'fo', 'Faroe Islands', 259, 78);
INSERT INTO statit_listdomains VALUES ('EUR', 'fr', 'France', 280, 115);
INSERT INTO statit_listdomains VALUES ('EUR', 'fx', 'France Metropolitan', 280, 115);
INSERT INTO statit_listdomains VALUES ('AFR', 'ga', 'Gabon', 294, 210);
INSERT INTO statit_listdomains VALUES ('EUR', 'gb', 'United Kingdom', 269, 97);
INSERT INTO statit_listdomains VALUES ('NCAME', 'gd', 'Grenada', 171, 189);
INSERT INTO statit_listdomains VALUES ('ASI', 'ge', 'Georgia', 346, 126);
INSERT INTO statit_listdomains VALUES ('SAME', 'gf', 'French Guiana', 187, 203);
INSERT INTO statit_listdomains VALUES ('EUR', 'gg', 'Guernsey', 271, 111);
INSERT INTO statit_listdomains VALUES ('AFR', 'gh', 'Ghana', 272, 195);
INSERT INTO statit_listdomains VALUES ('EUR', 'gi', 'Gibraltar', 265, 140);
INSERT INTO statit_listdomains VALUES ('EUR', 'gl', 'Greenland', 200, 30);
INSERT INTO statit_listdomains VALUES ('AFR', 'gm', 'Gambia', 248, 185);
INSERT INTO statit_listdomains VALUES ('AFR', 'gn', 'Guinea', 256, 188);
INSERT INTO statit_listdomains VALUES ('NCAME', 'gp', 'Guadeloupe', 169, 182);
INSERT INTO statit_listdomains VALUES ('AFR', 'gq', 'Equatorial Guinea', 290, 206);
INSERT INTO statit_listdomains VALUES ('EUR', 'gr', 'Greece', 313, 137);
INSERT INTO statit_listdomains VALUES ('SAME', 'gs', 'South Georgia and the South Sandwich Islands', 0, 0);
INSERT INTO statit_listdomains VALUES ('NCAME', 'gt', 'Guatemala', 123, 182);
INSERT INTO statit_listdomains VALUES ('OZE', 'gu', 'Guam', 508, 193);
INSERT INTO statit_listdomains VALUES ('AFR', 'gw', 'Guinea-Bissau', 248, 184);
INSERT INTO statit_listdomains VALUES ('SAME', 'gy', 'Guyana', 172, 195);
INSERT INTO statit_listdomains VALUES ('ASI', 'hk', 'Hong Kong', 466, 167);
INSERT INTO statit_listdomains VALUES ('ANT', 'hm', 'Heard and McDonald', 0, 0);
INSERT INTO statit_listdomains VALUES ('NCAME', 'hn', 'Honduras', 132, 181);
INSERT INTO statit_listdomains VALUES ('EUR', 'hr', 'Croatia/Hrvatska', 303, 122);
INSERT INTO statit_listdomains VALUES ('NCAME', 'ht', 'Haiti', 153, 175);
INSERT INTO statit_listdomains VALUES ('EUR', 'hu', 'Hungary', 307, 118);
INSERT INTO statit_listdomains VALUES ('ASI', 'id', 'Indonesia', 468, 218);
INSERT INTO statit_listdomains VALUES ('EUR', 'ie', 'Ireland', 260, 102);
INSERT INTO statit_listdomains VALUES ('ASI', 'il', 'Israel', 333, 151);
INSERT INTO statit_listdomains VALUES ('EUR', 'im', 'Isle of Man', 267, 101);
INSERT INTO statit_listdomains VALUES ('ASI', 'in', 'India', 404, 166);
INSERT INTO statit_listdomains VALUES ('ASI', 'io', 'British Indian Ocean Territory', 392, 224);
INSERT INTO statit_listdomains VALUES ('ASI', 'iq', 'Iraq', 346, 145);
INSERT INTO statit_listdomains VALUES ('ASI', 'ir', 'Iran (Islamic Republic of)', 364, 147);
INSERT INTO statit_listdomains VALUES ('EUR', 'is', 'Iceland', 243, 68);
INSERT INTO statit_listdomains VALUES ('EUR', 'it', 'Italy', 296, 128);
INSERT INTO statit_listdomains VALUES ('EUR', 'je', 'Jersey', 272, 109);
INSERT INTO statit_listdomains VALUES ('NCAME', 'jm', 'Jamaica', 148, 177);
INSERT INTO statit_listdomains VALUES ('ASI', 'jo', 'Jordan', 336, 152);
INSERT INTO statit_listdomains VALUES ('ASI', 'jp', 'Japan', 504, 136);
INSERT INTO statit_listdomains VALUES ('AFR', 'ke', 'Kenya', 337, 208);
INSERT INTO statit_listdomains VALUES ('ASI', 'kg', 'Kyrgyzstan', 399, 126);
INSERT INTO statit_listdomains VALUES ('ASI', 'kh', 'Cambodia', 449, 186);
INSERT INTO statit_listdomains VALUES ('OZE', 'ki', 'Kiribati', 580, 218);
INSERT INTO statit_listdomains VALUES ('AFR', 'km', 'Comoros', 346, 233);
INSERT INTO statit_listdomains VALUES ('NCAME', 'kn', 'Saint Kitts and Nevis', 165, 180);
INSERT INTO statit_listdomains VALUES ('ASI', 'kp', 'Korea, Democratic People''s Republic', 485, 130);
INSERT INTO statit_listdomains VALUES ('ASI', 'kr', 'Korea, Republic of', 487, 141);
INSERT INTO statit_listdomains VALUES ('ASI', 'kw', 'Kuwait', 354, 153);
INSERT INTO statit_listdomains VALUES ('NCAME', 'ky', 'Cayman Islands', 141, 174);
INSERT INTO statit_listdomains VALUES ('ASI', 'kz', 'Kazakhstan', 383, 110);
INSERT INTO statit_listdomains VALUES ('ASI', 'la', 'Lao, People''s Democratic Republic', 448, 176);
INSERT INTO statit_listdomains VALUES ('ASI', 'lb', 'Lebanon', 335, 145);
INSERT INTO statit_listdomains VALUES ('NCAME', 'lc', 'Saint Lucia', 170, 182);
INSERT INTO statit_listdomains VALUES ('EUR', 'li', 'Liechtenstein', 298, 117);
INSERT INTO statit_listdomains VALUES ('ASI', 'lk', 'Sri Lanka', 410, 196);
INSERT INTO statit_listdomains VALUES ('AFR', 'lr', 'Liberia', 261, 198);
INSERT INTO statit_listdomains VALUES ('AFR', 'ls', 'Lesotho', 319, 264);
INSERT INTO statit_listdomains VALUES ('EUR', 'lt', 'Lithuania', 314, 97);
INSERT INTO statit_listdomains VALUES ('EUR', 'lu', 'Luxembourg', 288, 109);
INSERT INTO statit_listdomains VALUES ('EUR', 'lv', 'Latvia', 319, 92);
INSERT INTO statit_listdomains VALUES ('AFR', 'ly', 'Libyan Arab Jamahiriya', 304, 155);
INSERT INTO statit_listdomains VALUES ('AFR', 'ma', 'Morocco', 261, 147);
INSERT INTO statit_listdomains VALUES ('EUR', 'mc', 'Monaco', 288, 124);
INSERT INTO statit_listdomains VALUES ('EUR', 'md', 'Moldova, Republic of', 324, 118);
INSERT INTO statit_listdomains VALUES ('AFR', 'mg', 'Madagascar', 350, 243);
INSERT INTO statit_listdomains VALUES ('OZE', 'mh', 'Marshall Islands', 553, 196);
INSERT INTO statit_listdomains VALUES ('EUR', 'mk', 'Macedonia, Former Yugoslav Republic', 314, 129);
INSERT INTO statit_listdomains VALUES ('AFR', 'ml', 'Mali', 268, 176);
INSERT INTO statit_listdomains VALUES ('ASI', 'mm', 'Myanmar', 434, 171);
INSERT INTO statit_listdomains VALUES ('ASI', 'mn', 'Mongolia', 446, 116);
INSERT INTO statit_listdomains VALUES ('ASI', 'mo', 'Macau', 466, 169);
INSERT INTO statit_listdomains VALUES ('OZE', 'mp', 'Northern Mariana Islands', 509, 190);
INSERT INTO statit_listdomains VALUES ('NCAME', 'mq', 'Martinique', 166, 181);
INSERT INTO statit_listdomains VALUES ('AFR', 'mr', 'Mauritania', 257, 170);
INSERT INTO statit_listdomains VALUES ('NCAME', 'ms', 'Montserrat', 165, 181);
INSERT INTO statit_listdomains VALUES ('EUR', 'mt', 'Malta', 299, 142);
INSERT INTO statit_listdomains VALUES ('AFR', 'mu', 'Mauritius', 369, 246);
INSERT INTO statit_listdomains VALUES ('ASI', 'mv', 'Maldives', 397, 199);
INSERT INTO statit_listdomains VALUES ('AFR', 'mw', 'Malawi', 330, 234);
INSERT INTO statit_listdomains VALUES ('NCAME', 'mx', 'Mexico', 102, 165);
INSERT INTO statit_listdomains VALUES ('ASI', 'my', 'Malaysia', 462, 203);
INSERT INTO statit_listdomains VALUES ('AFR', 'mz', 'Mozambique', 334, 240);
INSERT INTO statit_listdomains VALUES ('AFR', 'na', 'Namibia', 301, 250);
INSERT INTO statit_listdomains VALUES ('OZE', 'nc', 'New Caledonia', 556, 234);
INSERT INTO statit_listdomains VALUES ('AFR', 'ne', 'Niger', 289, 176);
INSERT INTO statit_listdomains VALUES ('OZE', 'nf', 'Norfolk Island', 562, 258);
INSERT INTO statit_listdomains VALUES ('AFR', 'ng', 'Nigeria', 285, 191);
INSERT INTO statit_listdomains VALUES ('NCAME', 'ni', 'Nicaragua', 135, 186);
INSERT INTO statit_listdomains VALUES ('EUR', 'nl', 'Netherlands', 287, 103);
INSERT INTO statit_listdomains VALUES ('EUR', 'no', 'Norway', 289, 76);
INSERT INTO statit_listdomains VALUES ('ASI', 'np', 'Nepal', 414, 155);
INSERT INTO statit_listdomains VALUES ('OZE', 'nr', 'Nauru', 551, 212);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'nt', 'Neutral Zone', 0, 0);
INSERT INTO statit_listdomains VALUES ('OZE', 'nu', 'Niue', 565, 235);
INSERT INTO statit_listdomains VALUES ('OZE', 'nz', 'New Zealand', 560, 291);
INSERT INTO statit_listdomains VALUES ('ASI', 'om', 'Oman', 369, 173);
INSERT INTO statit_listdomains VALUES ('NCAME', 'pa', 'Panama', 141, 196);
INSERT INTO statit_listdomains VALUES ('SAME', 'pe', 'Peru', 146, 228);
INSERT INTO statit_listdomains VALUES ('OZE', 'pf', 'French Polynesia', 581, 220);
INSERT INTO statit_listdomains VALUES ('OZE', 'pg', 'Papua New Guinea', 515, 220);
INSERT INTO statit_listdomains VALUES ('ASI', 'ph', 'Philippines', 478, 186);
INSERT INTO statit_listdomains VALUES ('ASI', 'pk', 'Pakistan', 388, 154);
INSERT INTO statit_listdomains VALUES ('EUR', 'pl', 'Poland', 307, 103);
INSERT INTO statit_listdomains VALUES ('NCAME', 'pm', 'St. Pierre and Miquelon', 177, 116);
INSERT INTO statit_listdomains VALUES ('OZE', 'pn', 'Pitcairn Island', 56, 249);
INSERT INTO statit_listdomains VALUES ('NCAME', 'pr', 'Puerto Rico', 165, 179);
INSERT INTO statit_listdomains VALUES ('EUR', 'pt', 'Portugal', 259, 127);
INSERT INTO statit_listdomains VALUES ('OZE', 'pw', 'Palau', 495, 202);
INSERT INTO statit_listdomains VALUES ('SAME', 'py', 'Paraguay', 178, 249);
INSERT INTO statit_listdomains VALUES ('ASI', 'qa', 'Qatar', 362, 164);
INSERT INTO statit_listdomains VALUES ('AFR', 're', 'Reunion Island', 366, 249);
INSERT INTO statit_listdomains VALUES ('EUR', 'ro', 'Romania', 317, 119);
INSERT INTO statit_listdomains VALUES ('ASI', 'ru', 'Russian', 432, 70);
INSERT INTO statit_listdomains VALUES ('AFR', 'rw', 'Rwanda', 323, 214);
INSERT INTO statit_listdomains VALUES ('ASI', 'sa', 'Saudi Arabia', 347, 162);
INSERT INTO statit_listdomains VALUES ('OZE', 'sb', 'Solomon Islands', 539, 228);
INSERT INTO statit_listdomains VALUES ('AFR', 'sc', 'Seychelles', 359, 225);
INSERT INTO statit_listdomains VALUES ('AFR', 'sd', 'Sudan', 322, 181);
INSERT INTO statit_listdomains VALUES ('EUR', 'se', 'Sweden', 301, 78);
INSERT INTO statit_listdomains VALUES ('ASI', 'sg', 'Singapore', 448, 205);
INSERT INTO statit_listdomains VALUES ('AFR', 'sh', 'St. Helena', 271, 239);
INSERT INTO statit_listdomains VALUES ('EUR', 'si', 'Slovenia', 300, 120);
INSERT INTO statit_listdomains VALUES ('EUR', 'sj', 'Svalbard and Jan Mayen Islands', 304, 22);
INSERT INTO statit_listdomains VALUES ('EUR', 'sk', 'Slovak Republic', 311, 112);
INSERT INTO statit_listdomains VALUES ('AFR', 'sl', 'Sierra Leone', 256, 192);
INSERT INTO statit_listdomains VALUES ('EUR', 'sm', 'San Marino', 297, 124);
INSERT INTO statit_listdomains VALUES ('AFR', 'sn', 'Senegal', 250, 182);
INSERT INTO statit_listdomains VALUES ('AFR', 'so', 'Somalia', 353, 199);
INSERT INTO statit_listdomains VALUES ('SAME', 'sr', 'Suriname', 181, 202);
INSERT INTO statit_listdomains VALUES ('AFR', 'st', 'Sao Tome and Principe', 283, 210);
INSERT INTO statit_listdomains VALUES ('ASI', 'su', 'Sovjet Union, Formew', 432, 70);
INSERT INTO statit_listdomains VALUES ('NCAME', 'sv', 'El Salvador', 127, 184);
INSERT INTO statit_listdomains VALUES ('ASI', 'sy', 'Syrian Arab Republic', 339, 144);
INSERT INTO statit_listdomains VALUES ('AFR', 'sz', 'Swaziland', 327, 260);
INSERT INTO statit_listdomains VALUES ('NCAME', 'tc', 'Turks and Ciacos Islands', 157, 169);
INSERT INTO statit_listdomains VALUES ('AFR', 'td', 'Chad', 304, 181);
INSERT INTO statit_listdomains VALUES ('ANT', 'tf', 'French Southern', 0, 0);
INSERT INTO statit_listdomains VALUES ('AFR', 'tg', 'Togo', 275, 194);
INSERT INTO statit_listdomains VALUES ('ASI', 'th', 'Thailand', 443, 182);
INSERT INTO statit_listdomains VALUES ('ASI', 'tj', 'Tajikistan', 393, 134);
INSERT INTO statit_listdomains VALUES ('OZE', 'tk', 'Tokelau', 585, 222);
INSERT INTO statit_listdomains VALUES ('ASI', 'tm', 'Turkmenistan', 371, 131);
INSERT INTO statit_listdomains VALUES ('AFR', 'tn', 'Tunisia', 289, 142);
INSERT INTO statit_listdomains VALUES ('OZE', 'to', 'Tonga', 580, 244);
INSERT INTO statit_listdomains VALUES ('ASI', 'tp', 'East Timor', 482, 225);
INSERT INTO statit_listdomains VALUES ('ASI', 'tr', 'Turkey', 333, 133);
INSERT INTO statit_listdomains VALUES ('NCAME', 'tt', 'Trinidad and Tobago', 171, 190);
INSERT INTO statit_listdomains VALUES ('OZE', 'tv', 'Tuvalu', 569, 222);
INSERT INTO statit_listdomains VALUES ('ASI', 'tw', 'Taiwan', 476, 168);
INSERT INTO statit_listdomains VALUES ('AFR', 'tz', 'Tanzania', 331, 219);
INSERT INTO statit_listdomains VALUES ('EUR', 'ua', 'Ukraine', 327, 110);
INSERT INTO statit_listdomains VALUES ('AFR', 'ug', 'Uganda', 327, 207);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'um', 'US Minor Outlying Islands', 0, 0);
INSERT INTO statit_listdomains VALUES ('NCAME', 'us', 'United States of America', 101, 133);
INSERT INTO statit_listdomains VALUES ('SAME', 'uy', 'Uruguay', 179, 270);
INSERT INTO statit_listdomains VALUES ('ASI', 'uz', 'Uzbekistan', 382, 126);
INSERT INTO statit_listdomains VALUES ('EUR', 'va', 'Holy See (City Vatican State)', 296, 128);
INSERT INTO statit_listdomains VALUES ('NCAME', 'vc', 'Saint Vincent and Grenadines', 171, 181);
INSERT INTO statit_listdomains VALUES ('SAME', 've', 'Venezuela', 165, 194);
INSERT INTO statit_listdomains VALUES ('NCAME', 'vg', 'Virgin Islands (British)', 164, 177);
INSERT INTO statit_listdomains VALUES ('NCAME', 'vi', 'Virgin Islands (USA)', 164, 177);
INSERT INTO statit_listdomains VALUES ('ASI', 'vn', 'Vietnam', 455, 183);
INSERT INTO statit_listdomains VALUES ('OZE', 'vu', 'Vanuatu', 550, 231);
INSERT INTO statit_listdomains VALUES ('OZE', 'wf', 'Wallis and Futuna Islands', 581, 249);
INSERT INTO statit_listdomains VALUES ('OZE', 'ws', 'Western Samoa', 584, 237);
INSERT INTO statit_listdomains VALUES ('ASI', 'ye', 'Yemen', 356, 180);
INSERT INTO statit_listdomains VALUES ('AFR', 'yt', 'Mayotte', 346, 234);
INSERT INTO statit_listdomains VALUES ('EUR', 'yu', 'Serbia and Montenegro', 308, 126);
INSERT INTO statit_listdomains VALUES ('AFR', 'za', 'South Africa', 313, 265);
INSERT INTO statit_listdomains VALUES ('AFR', 'zm', 'Zambia', 320, 233);
INSERT INTO statit_listdomains VALUES ('AFR', 'zr', 'Zaire', 313, 212);
INSERT INTO statit_listdomains VALUES ('AFR', 'zw', 'Zimbabwe', 323, 244);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'com', 'Companies', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'net', 'Networks', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'org', 'Organizations', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'edu', 'US Educational Institutions', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'int', 'International Organizations', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'arpa', 'Advanced Research Project Agency', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'gov', 'US Governmental Entities', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'mil', 'US Armed Forces', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'biz', 'Businesses', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'info', 'INFO', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'name', 'NAME', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'pro', 'PRO', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'coop', 'COOP', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'aero', 'AERO', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'museum', 'MUSEUM', 0, 0);
INSERT INTO statit_listdomains VALUES ('EUR', 'eu', 'EU', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'firm', 'FIRM', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'web', 'WEB', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'shop', 'SHOP', 0, 0);
INSERT INTO statit_listdomains VALUES ('unbekannt', 'rec', 'recreation/entertainment activities', 0, 0);
INSERT INTO statit_listdomains VALUES ('EUR', 'uk', 'United Kingdom', 269, 97);
INSERT INTO statit_listdomains VALUES ('ASI', 'ps', 'Palestinian Territories', 334, 149);
INSERT INTO statit_listdomains VALUES ('EUR', 'cs', 'Serbia and Montenegro', 309, 114);    